Erro ao abrir Metro 2033 no Steam, Ajudem!!!! [RESOLVIDO]

1. Erro ao abrir Metro 2033 no Steam, Ajudem!!!! [RESOLVIDO]

Marlon Sales
MarlonSales

(usa Linux Mint)

Enviado em 19/04/2015 - 20:16h

Eu comprei Metro 2033 e empolgadão pra jogar, deu um erro que ainda não consigo resolver...

"OpenGL 4.0 or later has not been found. Please make sure that video card and your video driver support OpenGL 4.0"

Alguém sabe resolver???

Linux Mint!!!!
Sony Waio - Core i3, 6 de RAM - sem placa de video...


  


2. Re: Erro ao abrir Metro 2033 no Steam, Ajudem!!!! [RESOLVIDO]

Ruan
ru4n

(usa Debian)

Enviado em 19/04/2015 - 20:30h

Também estou no mesmo barco, comprei esse jogo ano passado, instalei e quando fui executar deu esse erro, mas não fui procurar solução pois fiquei sem tempo para jogos.

Mas, ainda estou interessado na solução do problema...
______________________________________________________________
Slackware 14.1 x86_64 - Core2Duo, 8GB RAM - NVIDIA GeForce 9500GT


3. Re: Erro ao abrir Metro 2033 no Steam, Ajudem!!!!

Eric
Grinder

(usa Slackware)

Enviado em 20/04/2015 - 00:21h

Vocês tem que ver se a placa de vídeo de vocês tem suporte para OpenGL 4.0
Metro é um jogo, digamos atual.

MINIMUM:
OS: 64-bit Ubuntu 12.04 or 14.04 or Steam OS
Processor: Intel Core i5 2.7 GHz (or equivalent AMD)
Memory: 4 GB RAM
Graphics: NVIDIA Geforce 460 / AMD 5850 with 2GB VRAM
Hard Drive: 10 GB available space
Additional Notes: Due to OpenGL 4, Intel video cards no longer supported

RECOMMENDED:
OS: 64-bit Ubuntu 12.04 or 14.04 or Steam OS
Processor: Intel Core i7 2.5 Ghz (or equivalent AMD)
Memory: 8 GB RAM
Graphics: NVIDIA Geforce 680 / AMD 7870 with 2GB VRAM+
Hard Drive: 10 GB available space
Additional Notes: Due to OpenGL 4, Intel video cards no longer supported



4. Re: Erro ao abrir Metro 2033 no Steam, Ajudem!!!! [RESOLVIDO]

Ruan
ru4n

(usa Debian)

Enviado em 20/04/2015 - 10:55h

No meu Windows 8.1 64 Bits funcionou de boa o Metro, acredito que seja problema com o OpenGL mesmo.
______________________________________________________________
Slackware 14.1 x86_64 - Core2Duo, 8GB RAM - NVIDIA GeForce 9500GT


5. Re: Erro ao abrir Metro 2033 no Steam, Ajudem!!!!

Marlon Sales
MarlonSales

(usa Linux Mint)

Enviado em 20/04/2015 - 15:26h

Eu acho que deve ser alguma coisa com as bibliotecas...

Usei esse comando...

[email protected] ~ $ glxinfo | grep version


server glx version string: 1.4
client glx version string: 1.4
GLX version: 1.4
OpenGL version string: 2.1 Mesa 10.1.3
OpenGL shading language version string: 1.20


Mostra openGL na versão 2.1

Falta agora saber como atualiza pra 4.0


6. Re: Erro ao abrir Metro 2033 no Steam, Ajudem!!!! [RESOLVIDO]

Ruan
ru4n

(usa Debian)

Enviado em 20/04/2015 - 15:33h

Sony Waio - Core i3, 6 de RAM - sem placa de video...


cara acho que esse jogo não vai rodar ai mesmo. Com placa de vídeo já é puxado (rola umas travadas), imagina sem...

Eu tenho a primeira versão aqui, o Metro Last Light, que roda de boa com minha placa (vide assinatura) no Linux. Comprei essa versão 2033 e só consigo jogar mesmo no Windão, porque lá é DirectX...
______________________________________________________________
Slackware 14.1 x86_64 - Core2Duo, 8GB RAM - NVIDIA GeForce 9500GT


7. Re: Erro ao abrir Metro 2033 no Steam, Ajudem!!!!

Marlon Sales
MarlonSales

(usa Linux Mint)

Enviado em 20/04/2015 - 16:26h

verdade... vou colocar um Core i7. Quero ver se não roda... acho que o processador i3 so pode ir ate OpenGL 2.1.
Talvez o i7 - rode por causa do poder de processamento, que talvez supra a necessidade de uma placa de vídeo.




8. Re: Erro ao abrir Metro 2033 no Steam, Ajudem!!!! [RESOLVIDO]

Ruan
ru4n

(usa Debian)

Enviado em 20/04/2015 - 17:27h

Você pode tentar atualizar o mesa e suas bibliotecas, com o repo xorg-edgers, ai tentar executar o game...
______________________________________________________________
Slackware 14.1 x86_64 - Core2Duo, 8GB RAM - NVIDIA GeForce 9500GT


9. Re: Erro ao abrir Metro 2033 no Steam, Ajudem!!!!

Eric
Grinder

(usa Slackware)

Enviado em 20/04/2015 - 19:55h

Acredito que seja um busca perdida senhores.
OpenGL não se atualiza da placa de vídeo e sim a placa de vídeo determina as features que ela possue se enquadrando em alguma versão do OpenGL.

Mesma coisa funciona com DirectX, se o jogo é DirectX11 não adianta você instalar o Windows 8.1 (que possue DX11 atualizado) e querer jogar sendo que sua placa de vídeo é DX9, vai dar erro.

Quem determina versão de OpenGL é o Hardware e não o Software

Veja aqui.
bash-4.3$ glxinfo | grep version
server glx version string: 1.4
client glx version string: 1.4
GLX version: 1.4
OpenGL core profile version string: 4.4.0 NVIDIA 349.16
OpenGL core profile shading language version string: 4.40 NVIDIA via Cg compiler
OpenGL version string: 4.5.0 NVIDIA 349.16
OpenGL shading language version string: 4.50 NVIDIA
OpenGL ES profile version string: OpenGL ES 3.1 NVIDIA 349.16
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.10
GL_EXT_shader_implicit_conversions, GL_EXT_shader_integer_mix,


Resumindo, você pode trocar de processador que não terá seu OpenGL 4.0 (de i3 para i7)
Até porque as VGA integradas até o haswell não são OpenGL 4.0 talvez a 5a gen dos Core da Intel sejam (braswell)


10. Re: Erro ao abrir Metro 2033 no Steam, Ajudem!!!! [RESOLVIDO]

Ruan
ru4n

(usa Debian)

Enviado em 20/04/2015 - 20:07h

Mesma coisa funciona com DirectX, se o jogo é DirectX11 não adianta você instalar o Windows 8.1 (que possue DX11 atualizado) e querer jogar sendo que sua placa de vídeo é DX9, vai dar erro.


Pois é, então minha placa suporta este jogo com DirectX, o OpenGL suportado pela minha placa é o 3.3.0. O negócio é curtir o jogo no Windows, que foi feito pra isso mesmo! :^P
______________________________________________________________
Slackware 14.1 x86_64 - Core2Duo, 8GB RAM - NVIDIA GeForce 9500GT


11. Re: Erro ao abrir Metro 2033 no Steam, Ajudem!!!! [RESOLVIDO]

Eric
Grinder

(usa Slackware)

Enviado em 20/04/2015 - 20:18h

ru4n escreveu:

Mesma coisa funciona com DirectX, se o jogo é DirectX11 não adianta você instalar o Windows 8.1 (que possue DX11 atualizado) e querer jogar sendo que sua placa de vídeo é DX9, vai dar erro.


Pois é, então minha placa suporta este jogo com DirectX, o OpenGL suportado pela minha placa é o 3.3.0. O negócio é curtir o jogo no Windows, que foi feito pra isso mesmo! :^P
______________________________________________________________
Slackware 14.1 x86_64 - Core2Duo, 8GB RAM - NVIDIA GeForce 9500GT


hehehe
O que importa é que você não perdeu o game, que por sinal é excelente.
Já fechei ele na época, mas é muito bom mesmo o game.








Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts